## rb-query-creator rb-query-creator — |

## Synopsis

    enum        RBQueryCreatorLimitType;
    GtkWidget*  rb_query_creator_new            (RhythmDB *db);
    GtkWidget*  rb_query_creator_new_from_query (RhythmDB *db,
                                                 GPtrArray *query,
                                                 int limit_count,
                                                 int limit_size,
                                                 int limit_time,
                                                 const char *sort_column,
                                                 gint sort_direction);
    GPtrArray*  rb_query_creator_get_query      (RBQueryCreator *creator);
    void        rb_query_creator_get_limit      (RBQueryCreator *creator,
                                                 RBQueryCreatorLimitType *type,
                                                 guint *limit);
    void        rb_query_creator_get_sort_order (RBQueryCreator *creator,
                                                 const char **sort_key,
                                                 gint *sort_direction);

## Description

## Details

### enum RBQueryCreatorLimitType

    typedef enum
    {
    	RB_QUERY_CREATOR_LIMIT_COUNT,
    	RB_QUERY_CREATOR_LIMIT_MB,
    	RB_QUERY_CREATOR_LIMIT_SECONDS,
    } RBQueryCreatorLimitType;

### rb_query_creator_new ()

    GtkWidget*  rb_query_creator_new            (RhythmDB *db);

`db` : |
Returns : |

### rb_query_creator_new_from_query ()

    GtkWidget*  rb_query_creator_new_from_query (RhythmDB *db,
                                                 GPtrArray *query,
                                                 int limit_count,
                                                 int limit_size,
                                                 int limit_time,
                                                 const char *sort_column,
                                                 gint sort_direction);

`db` : |
`query` : |
`limit_count` : |
`limit_size` : |
`limit_time` : |
`sort_column` : |
`sort_direction` : |
Returns : |

### rb_query_creator_get_query ()

    GPtrArray*  rb_query_creator_get_query      (RBQueryCreator *creator);

`creator` : |
Returns : |

### rb_query_creator_get_limit ()

    void        rb_query_creator_get_limit      (RBQueryCreator *creator,
                                                 RBQueryCreatorLimitType *type,
                                                 guint *limit);

`creator` : |
`type` : |
`limit` : |

### rb_query_creator_get_sort_order ()

    void        rb_query_creator_get_sort_order (RBQueryCreator *creator,
                                                 const char **sort_key,
                                                 gint *sort_direction);

`creator` : |
`sort_key` : |
`sort_direction` : |